<?php
$params = array_merge(
    require(__DIR__ . '/../../common/config/params.php'),
    require(__DIR__ . '/../../common/config/params-local.php'),
    require(__DIR__ . '/params.php'),
    require(__DIR__ . '/params-local.php')
);

return [
    'id' => 'app-console',
    'basePath' => dirname(__DIR__),
    'bootstrap' => ['log'],
    'controllerNamespace' => 'console\controllers',
    'controllerMap' => [
        'fixture' => [
            'class' => 'yii\console\controllers\FixtureController',
            'namespace' => 'common\fixtures',
          ],
    ],
    'components' => [
        'log' => [
            'targets' => [
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],
        'mail' => [
            'class' => 'chocoboxxf\SendCloud\SendCloud',
            'apiUser' => 'xcoq_mail', // API User
            'apiKey' => '3sU3SWF6xhHAs8ws', // API Key
            'defaultFrom' => 'do.not.reply@mail.xcoq.com', // 缺省发件人地址
            'defaultFromName' => 'admin', // 缺省发件人名称
        ],
    ],
    'params' => $params,
];
